thrift-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "BELUGA BEHR (JIRA)" <j...@apache.org>
Subject [jira] [Created] (THRIFT-4701) Determine if Apache Ant is still required and remove
Date Mon, 31 Dec 2018 03:57:00 GMT
BELUGA BEHR created THRIFT-4701:
-----------------------------------

             Summary: Determine if Apache Ant is still required and remove
                 Key: THRIFT-4701
                 URL: https://issues.apache.org/jira/browse/THRIFT-4701
             Project: Thrift
          Issue Type: Improvement
          Components: Java - Library
    Affects Versions: 0.12.0
            Reporter: BELUGA BEHR


Gradle is now the build tool for the Java library.  At one point, it may have been Apache
Ant.  Review if Apache Ant is still required for Thrift and remove it if it no longer is.

{code:title=Dockerfile}
RUN apt-get install -y --no-install-recommends \
`# Java dependencies` \
      ant \
      ant-optional \
      openjdk-8-jdk \
      maven && \
    update-alternatives --set java /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/java
{code}

{code:title=debian.md}
 * Java
	* packages: ant  
	* You will also need Java JDK v1.7 or higher.
{code}



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message